Help
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Ground Controller Lvl 1
Message 1 of 1

Error while installing npm dependency in MAC OS mojave

npm ERR! Darwin 18.2.0

npm ERR! argv "/usr/local/nodejs/bin/node" "/usr/local/nodejs/bin/npm" "install"

npm ERR! node v4.5.0

npm ERR! npm v2.15.9

npm ERR! code EPEERINVALID

 

npm ERR! peerinvalid The package karma@1.1.2 does not satisfy its siblings' peerDependencies requirements!

npm ERR! peerinvalid Peer karma-jasmine@1.0.2 wants karma@*

npm ERR! peerinvalid Peer karma-ng-html2js-preprocessor@1.0.0 wants karma@>=0.9

npm ERR! peerinvalid Peer karma-phantomjs-launcher@1.0.1 wants karma@>=0.9

npm ERR! peerinvalid Peer gulp-karma@0.0.4 wants karma@>=0.10 <=0.13

 

npm ERR! Please include the following file with any support request:

npm ERR!     /Volumes/MacintoshHD/Oria/OriaPortal/npm-debug.log